# Get all backups for a project

get ` https://app.mk.io/api/v1/projects/:project_name/fleet/backups`

Lists all backups for a project from blob storage. Use $filter to filter by device.

RBAC Capability Required: `fleet.device.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

project_name string Required

## Response

200 List of device backups.

@odata.nextLink string Optional

@odata.nextLink URL if the page length and number of items match.

supplemental object [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/listresponsesupplementalschema) Required

Supplemental info

Show 5 properties Hide 5 properties

count integer Required

Number of items returned

kind string Required

Type of items in the list

operation string Required

Operation type. Should always say 'list'

pagination object [PaginationInfoSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/paginationinfoschema) Required

Pagination info

Show 4 properties Hide 4 properties

end integer Required

Position of the last item in the list

records integer Required

Total number of items returned in the list

start integer Required

Position of the first item in the list

total integer Required

Total number of items in the project

subscription object [ProjectInfoSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/projectinfoschema) Optional

Project info

Show 2 properties Hide 2 properties

id string Required

Project ID

name string Required

Project name

value list of objects [DeviceBackupListItemSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/devicebackuplistitemschema) Required

A list of device backups.

Show 1 property Hide 1 property

metadata object [DeviceBackupMetadataSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/devicebackupmetadataschema) Required

Metadata about the backup.

Show 4 properties Hide 4 properties

created string Required

The creation timestamp of the backup.

device string Required

The device ID this backup is for.

id string Required

The unique identifier for the backup.

name string Required

The name of the backup file.

## Errors

### 400 Bad Request

error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

### 401 Unauthorized

error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

### 403 Forbidden

error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

### 404 Not Found

error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

### 409 Conflict

error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

### 429 Too Many Requests

error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

### 500 Internal Server Error

error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code
